
global_settings { radiosity { 
//brightness .3  count 100  
distance_maximum 70  
error_bound 0.4  gray_threshold 0.5  low_error_factor 0.8  
minimum_reuse 0.015  nearest_count 6  //recursion_limit
  }}
#declare backoff=-20*z;                     

#declare boun=150000;
#declare fact=30;

#include "colors.inc"
#include "textures.inc"
#include "stones.inc"
#include "metals.inc" 

#macro Reorient(Axis1,Axis2)
                #local vX1=vnormalize(Axis1);                   //john vansickle
                #local vX2=vnormalize(Axis2);
                #local vY=vnormalize(vcross(vX1,vX2));
                #local vZ1=vnormalize(vcross(vX1,vY));
                #local vZ2=vnormalize(vcross(vX2,vY));
                matrix < vX1.x, vY.x,vZ1.x, vX1.y,vY.y,vZ1.y, vX1.z,vY.z, vZ1.z, 0,0,0 >
                matrix < vX2.x,vX2.y,vX2.z,  vY.x,vY.y, vY.z, vZ2.x,vZ2.y,vZ2.z, 0,0,0 >
              #end

background {Black+Blue/5}//color rgb <.2,.3,.7>}

#declare fact5=10
sphere{<80,120,80>+backoff,45
texture {
                function {noise3d(1/fact5*x,1/fact5*y,1/fact5*z)}
                texture_map{
                                [0.00 T_Chrome_4C ]  
                                [0.42 T_Chrome_4C ]
                                [0.421 pigment{Black}]
                                [0.529 pigment{Black}]                              
                                [0.53 T_Copper_2B ]                              
                                [1.00 T_Copper_2B ]
                           }
                scale 0.65                 
                }
}     

                                                   
fog { fog_type 1 distance 6000 rgb <.1,.2,.5>}   // fog 2500 no see clouds                        
               
                                                 
camera {              
  location 
  <-16,45,-905>+backoff
    look_at <0,10,0>+backoff
  angle 38//28  35         
}                               
  

light_source{<50,20000,-1058>rgb 1.2}
light_source{<-10,-200,50>rgb .2}


#declare T_Gregit2 =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.154   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.996, 0.835, 0.737, 0.000>]
    [0.154, 0.308   color rgbf <0.996, 0.835, 0.737, 0.000>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
    [0.308, 0.444   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.694, 0.624, 0.604, 0.004>]
    [0.444, 0.615   color rgbf <0.694, 0.624, 0.604, 0.004>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
    [0.615, 0.812   color rgbf <0.800, 0.651, 0.557, 0.000>
                    color rgbf <0.725, 0.655, 0.651, 0.000>]
    [0.812, 1.001   color rgbf <0.725, 0.655, 0.651, 0.000>
                    color rgbf <0.800, 0.651, 0.557, 0.000>]
   }
 }
  normal {
granite
turbulence 0.6 
              }
finish{ambient 0.2}                             
  scale 5 
 }

#declare T_Gregit1=
texture{
pigment{Red}
pigment {
                  slope -y
                  colour_map {
                      [0 pigment Clear ] // color rgb <0, 1, 0> ]
                      [ 0.90  pigment Clear ] // color rgb <0, 1, 0> ]
                      [ 0.901 pigment Green ] //Clear ]//rgbft <0, 0, 0,1,1> ]
                      [ 1.750 pigment Green ] //Clear ]// color rgbft <0, 0, 0,1,1> ]
                  }        
                  
              }
               
finish {ambient 0.3}               
} 

      
#declare funk=
union{
isosurface {
         function {noise3d(1/fact*x,1/fact*y,1/fact*z)}//dustspecs
                accuracy 0.01
               threshold 0.10 //.08 and 0.09 looked cool. keep 0.15
                bounded_by {
                           box{<-boun,-300,-boun>,<boun,0,boun>}
                           }                          
        
        texture {
                function {noise3d(1/fact*x,1/fact*y,1/fact*z)}
                texture_map {                        
                             [ 0.075 pigment {Black}]
                             [ 0.0789 pigment {Black}]
                             [ 0.0790 pigment {White}]  
                             [ 0.0810 pigment {White}]
                             [ 0.0811 pigment {Black}]
                             [ 0.0940 pigment {Black}]
                             [ 0.095 T_Gregit2 ]
                             [ 0.119 T_Gregit2 ]
                            }                      
                }
         
    }
                  

isosurface {
         function                                         
          {noise3d(1/fact*x,1/fact*y,1/fact*z)}//dustspecs
                accuracy 0.01
               threshold 0.075 //.08 and 0.09 looked cool. keep 0.15
                
                bounded_by {
                box{<-boun,-.0,-boun>,<boun,0.1,boun>}
                    }                    
        pigment{Green*.8}
        finish{ambient 0.3}  
        normal {crackle scale 3}
        }                   
}        

#declare fact2=.5;       //was 2;       
#declare trees=

isosurface {
         function                                        
          {noise3d(1/fact*x,1/fact*y,1/fact*z)&noise3d(1/fact2*x,1/fact2*y,1/fact2*z)}//dustspecs
                accuracy 0.01
               threshold 0.075 //.08 and 0.09 looked cool. keep 0.15
                bounded_by {
                box{<-boun,-2,-boun>,<boun,10,boun>}
                    }                    
        pigment{Green}
        finish{ambient 0.1}  
        normal {crackle}
        scale <1,1,1>
        translate <0,7.5,0>
        }                


#declare fact3=2;       //was 2;       
#declare trunk=
isosurface {
         function {noise3d(1/fact*x,1/fact*y,1/fact*z)&(-.20+noise3d(1/fact3*x,1/fact3*y,1/fact3*z))
         }
                accuracy 0.01
               threshold 0.00
                bounded_by {
                           box{<-boun,-0,-boun>,<boun,2,boun>}
                           }                          
        pigment{Red} 
        scale <1,2.5,1>
    }




        
object {trunk    }
object {funk    }
object {trees}
                
     
#declare zzz=75;
                
sphere{ 0,60000
hollow

       pigment {
      gradient y
      color_map {
        [0.000 0.002 color rgb <1.0, 0.2, 0.0>
                     color rgb <1.0, 0.2, 0.0>]
        [0.002 0.200 color rgb <0.8, 0.1, 0.0>
                     color rgb <0.2, 0.2, 0.3>]
      }
      scale 2*zzz
      translate -1
    }
    pigment {
      bozo
      turbulence 0.65
      octaves 6
      omega 0.7
      lambda 2
      color_map {
          [0.0 0.1 color rgb <0.85, 0.85, 0.85>
                   color rgb <0.75, 0.75, 0.75>]
          [0.1 0.5 color rgb <0.75, 0.75, 0.75>
                   color rgbt <1, 1, 1, 1>]
          [0.5 1.0 color rgbt <1, 1, 1, 1>
                   color rgbt <1, 1, 1, 1>]
      }
      scale <0.2, 0.5, 0.2>*zzz
    }
    finish{
    ambient .7}
    rotate -135*x
     scale <1,0.01,1>
     }